using System.Xml.Serialization;
using NewRock.Sdk.Control.Response;

namespace NewRock.Sdk.Control.Request
{
    [XmlRoot("Control")]
    public class AssginConfigMenuRequest:INewRockRequest<AssginConfigMenuResponse>
    {
        [XmlAttribute("attribute")]
        public string Attribute { get; set; }

        [XmlElement("menu")]
        public AssginConfigMenuMenu Menu { get; set; }

    }

    public class AssginConfigMenuMenu
    {
        [XmlAttribute("id")]
        public string Id { get; set; }

        [XmlElement("voicefile")]
        public string VoiceFile { get; set; }

        [XmlElement("repeat")]
        public string Repeat { get; set; }

        [XmlElement("infolength")]
        public string InfoLength { get; set; }

        [XmlElement("exit")]
        public string Exit { get; set; }
    }
}
